"use strict";
/**
 * @athenna/core
 *
 * (c) João Lenon <lenon@athenna.io>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotBootedException = void 0;
const utils_1 = require("@secjs/utils");
class NotBootedException extends utils_1.Exception {
    constructor(resource) {
        const content = `The resource "${resource}" has not been booted.`;
        super(content, 500, 'NOT_BOOTED_ERROR', `Try calling "boot${resource}" method to boot this resource`);
    }
}
exports.NotBootedException = NotBootedException;
